{
    "SPDXID": "SPDXRef-DOCUMENT",
    "creationInfo": {
        "created": "2024-08-28T06:06:35Z",
        "creators": [
            "Organization: TheQtCompany",
            "Tool: Qt Build System"
        ],
        "comment": "This SPDX document was created from CMake 3.27.7, using the qt\nbuild system from https://code.qt.io/cgit/qt/qtbase.git/tree/cmake/QtPublicSbomHelpers.cmake"
    },
    "dataLicense": "CC0-1.0",
    "externalDocumentRefs": [
        {
            "externalDocumentId": "DocumentRef-qtbase",
            "spdxDocument": "https://qt.io/spdxdocs/qtbase-6.8.0",
            "checksum": {
                "algorithm": "SHA1",
                "checksumValue": "3fb03491d3c7e888dc8e79cfe64c7440ba97e374"
            }
        },
        {
            "externalDocumentId": "DocumentRef-qtdeclarative",
            "spdxDocument": "https://qt.io/spdxdocs/qtdeclarative-6.8.0",
            "checksum": {
                "algorithm": "SHA1",
                "checksumValue": "301aba4b6ece42f58d5aa7241564cf94c60d238a"
            }
        }
    ],
    "hasExtractedLicensingInfos": [
        {
            "extractedText": "Licensees holding valid commercial Qt licenses may use this software in\naccordance with the the terms contained in a written agreement between\nyou and The Qt Company. Alternatively, the terms and conditions that were\naccepted by the licensee when buying and/or downloading the\nsoftware do apply.\n\nFor the latest licensing terms and conditions, see https://www.qt.io/terms-conditions.\nFor further information use the contact form at https://www.qt.io/contact-us.\n",
            "licenseId": "LicenseRef-Qt-Commercial"
        }
    ],
    "name": "qtwebsockets-6.8.0",
    "spdxVersion": "SPDX-2.3",
    "documentNamespace": "https://qt.io/spdxdocs/qtwebsockets-6.8.0",
    "packages": [
        {
            "SPDXID": "SPDXRef-compiler",
            "copyrightText": "NOASSERTION",
            "downloadLocation": "NOASSERTION",
            "filesAnalyzed": false,
            "licenseConcluded": "NOASSERTION",
            "licenseDeclared": "NOASSERTION",
            "name": "Clang",
            "primaryPackagePurpose": "APPLICATION",
            "summary": "The compiler as identified by CMake, running on Linux (x86_64)",
            "supplier": "Organization: Anonymous",
            "versionInfo": "19.0.0"
        },
        {
            "SPDXID": "SPDXRef-Package-qtwebsockets",
            "builtDate": "2024-08-28T06:06:35Z",
            "comment": "Built by CMake 3.27.7 with Release configuration for Emscripten (x86)",
            "copyrightText": "Copyright (C) 2024 The Qt Company Ltd.",
            "downloadLocation": "git://code.qt.io/qt/qtwebsockets.git",
            "externalRefs": [
                {
                    "referenceCategory": "SECURITY",
                    "referenceLocator": "cpe:2.3:a:qt:qt:6.8.0:*:*:*:*:*:*:*",
                    "referenceType": "cpe23Type"
                },
                {
                    "referenceCategory": "PACKAGE_MANAGER",
                    "referenceLocator": "pkg:generic/TheQtCompany/qtwebsockets@6.8.0",
                    "referenceType": "purl"
                }
            ],
            "filesAnalyzed": true,
            "homepage": "https://qt.io",
            "licenseConcluded": "NOASSERTION",
            "licenseDeclared": "NOASSERTION",
            "name": "qtwebsockets",
            "packageVerificationCode": {
                "packageVerificationCodeValue": "79d4c2d973d5b58195aedd38965f5b2500f350e8"
            },
            "supplier": "Organization: TheQtCompany",
            "versionInfo": "6.8.0"
        },
        {
            "SPDXID": "SPDXRef-Package-qtwebsockets-qt-module-WebSockets",
            "copyrightText": "Copyright (C) 2024 The Qt Company Ltd.",
            "downloadLocation": "git://code.qt.io/qt/qtwebsockets.git",
            "externalRefs": [
                {
                    "referenceCategory": "PACKAGE_MANAGER",
                    "referenceLocator": "pkg:github/qt/qtwebsockets?library_name=WebSockets#src/websockets",
                    "referenceType": "purl"
                },
                {
                    "referenceCategory": "PACKAGE_MANAGER",
                    "referenceLocator": "pkg:generic/TheQtCompany/qtwebsockets-WebSockets?vcs_url=https://code.qt.io/qt/qtwebsockets.git&library_name=WebSockets#src/websockets",
                    "referenceType": "purl"
                },
                {
                    "referenceCategory": "SECURITY",
                    "referenceLocator": "cpe:2.3:a:qt:qtwebsockets:6.8.0:*:*:*:*:*:*:*",
                    "referenceType": "cpe23Type"
                },
                {
                    "referenceCategory": "SECURITY",
                    "referenceLocator": "cpe:2.3:a:qt:qt:6.8.0:*:*:*:*:*:*:*",
                    "referenceType": "cpe23Type"
                }
            ],
            "filesAnalyzed": true,
            "licenseConcluded": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "licenseDeclared": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "name": "WebSockets",
            "primaryPackagePurpose": "LIBRARY",
            "supplier": "Organization: TheQtCompany",
            "versionInfo": "6.8.0"
        },
        {
            "SPDXID": "SPDXRef-Package-qtwebsockets-qt-plugin-qmlwebsockets",
            "copyrightText": "Copyright (C) 2024 The Qt Company Ltd.",
            "downloadLocation": "git://code.qt.io/qt/qtwebsockets.git",
            "externalRefs": [
                {
                    "referenceCategory": "PACKAGE_MANAGER",
                    "referenceLocator": "pkg:github/qt/qtwebsockets?library_name=qmlwebsockets#src/imports/qmlwebsockets",
                    "referenceType": "purl"
                },
                {
                    "referenceCategory": "PACKAGE_MANAGER",
                    "referenceLocator": "pkg:generic/TheQtCompany/qtwebsockets-qmlwebsockets?vcs_url=https://code.qt.io/qt/qtwebsockets.git&library_name=qmlwebsockets#src/imports/qmlwebsockets",
                    "referenceType": "purl"
                },
                {
                    "referenceCategory": "SECURITY",
                    "referenceLocator": "cpe:2.3:a:qt:qtwebsockets:6.8.0:*:*:*:*:*:*:*",
                    "referenceType": "cpe23Type"
                },
                {
                    "referenceCategory": "SECURITY",
                    "referenceLocator": "cpe:2.3:a:qt:qt:6.8.0:*:*:*:*:*:*:*",
                    "referenceType": "cpe23Type"
                }
            ],
            "filesAnalyzed": true,
            "licenseConcluded": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "licenseDeclared": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "name": "qmlwebsockets",
            "primaryPackagePurpose": "LIBRARY",
            "supplier": "Organization: TheQtCompany",
            "versionInfo": "6.8.0"
        }
    ],
    "files": [
        {
            "SPDXID": "SPDXRef-PackagedFile-qt-module-WebSockets",
            "checksums": [
                {
                    "algorithm": "SHA1",
                    "checksumValue": "d1e841f757028f64dffe4d595b7d7d4eccaa1bf0"
                }
            ],
            "copyrightText": "Copyright (C) 2024 The Qt Company Ltd.",
            "fileName": "./lib/libQt6WebSockets.a",
            "fileTypes": [
                "BINARY"
            ],
            "licenseConcluded": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "licenseInfoInFiles": [
                "NOASSERTION"
            ]
        },
        {
            "SPDXID": "SPDXRef-PackagedFile-qt-plugin-qmlwebsockets",
            "checksums": [
                {
                    "algorithm": "SHA1",
                    "checksumValue": "8f6636b42876b4616401a1dbd8dc41b5e0dcc9e4"
                }
            ],
            "copyrightText": "Copyright (C) 2024 The Qt Company Ltd.",
            "fileName": "./qml/QtWebSockets/libqmlwebsocketsplugin.a",
            "fileTypes": [
                "BINARY"
            ],
            "licenseConcluded": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "licenseInfoInFiles": [
                "NOASSERTION"
            ]
        }
    ],
    "relationships": [
        {
            "spdxElementId": "SPDXRef-compiler",
            "comment": "SPDXRef-Package-qtwebsockets is built by compiler Clang (/opt/emsdk/upstream/emscripten/em++) version 19.0.0",
            "relatedSpdxElement": "SPDXRef-Package-qtwebsockets",
            "relationshipType": "BUILD_DEPENDENCY_OF"
        },
        {
            "spdxElementId": "SPDXRef-DOCUMENT",
            "relatedSpdxElement": "SPDXRef-Package-qtwebsockets",
            "relationshipType": "DESCRIBES"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtwebsockets-qt-module-WebSockets",
            "relatedSpdxElement": "DocumentRef-qtbase:SPDXRef-Package-qtbase-qt-module-Core",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtwebsockets-qt-module-WebSockets",
            "relatedSpdxElement": "DocumentRef-qtbase:SPDXRef-Package-qtbase-qt-module-Network",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtwebsockets-qt-module-WebSockets",
            "relatedSpdxElement": "DocumentRef-qtbase:SPDXRef-Package-qtbase-qt-module-PlatformModuleInternal",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtwebsockets",
            "relatedSpdxElement": "SPDXRef-Package-qtwebsockets-qt-module-WebSockets",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtwebsockets-qt-module-WebSockets",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-module-WebSockets",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtwebsockets-qt-module-WebSockets",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-module-WebSockets",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-WebSockets",
            "comment": "/home/qt/work/qt/qtwebsockets/src/websockets//home/qt/work/qt/qtwebsockets/build/target/include/QtWebSockets/qtwebsocketsexports.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-WebSockets",
            "comment": "/home/qt/work/qt/qtwebsockets/src/websockets/qdefaultmaskgenerator_p.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-WebSockets",
            "comment": "/home/qt/work/qt/qtwebsockets/src/websockets/qdefaultmaskgenerator_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-WebSockets",
            "comment": "/home/qt/work/qt/qtwebsockets/src/websockets/qmaskgenerator.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-WebSockets",
            "comment": "/home/qt/work/qt/qtwebsockets/src/websockets/qmaskgenerator.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-WebSockets",
            "comment": "/home/qt/work/qt/qtwebsockets/src/websockets/qwebsocket.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-WebSockets",
            "comment": "/home/qt/work/qt/qtwebsockets/src/websockets/qwebsocket.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-WebSockets",
            "comment": "/home/qt/work/qt/qtwebsockets/src/websockets/qwebsocket_p.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-WebSockets",
            "comment": "/home/qt/work/qt/qtwebsockets/src/websockets/qwebsocket_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-WebSockets",
            "comment": "/home/qt/work/qt/qtwebsockets/src/websockets/qwebsocketcorsauthenticator.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-WebSockets",
            "comment": "/home/qt/work/qt/qtwebsockets/src/websockets/qwebsocketcorsauthenticator.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-WebSockets",
            "comment": "/home/qt/work/qt/qtwebsockets/src/websockets/qwebsocketcorsauthenticator_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-WebSockets",
            "comment": "/home/qt/work/qt/qtwebsockets/src/websockets/qwebsocketdataprocessor.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-WebSockets",
            "comment": "/home/qt/work/qt/qtwebsockets/src/websockets/qwebsocketdataprocessor_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-WebSockets",
            "comment": "/home/qt/work/qt/qtwebsockets/src/websockets/qwebsocketframe.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-WebSockets",
            "comment": "/home/qt/work/qt/qtwebsockets/src/websockets/qwebsocketframe_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-WebSockets",
            "comment": "/home/qt/work/qt/qtwebsockets/src/websockets/qwebsockethandshakeoptions.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-WebSockets",
            "comment": "/home/qt/work/qt/qtwebsockets/src/websockets/qwebsockethandshakeoptions.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-WebSockets",
            "comment": "/home/qt/work/qt/qtwebsockets/src/websockets/qwebsockethandshakeoptions_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-WebSockets",
            "comment": "/home/qt/work/qt/qtwebsockets/src/websockets/qwebsockethandshakerequest.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-WebSockets",
            "comment": "/home/qt/work/qt/qtwebsockets/src/websockets/qwebsockethandshakerequest_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-WebSockets",
            "comment": "/home/qt/work/qt/qtwebsockets/src/websockets/qwebsockethandshakeresponse.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-WebSockets",
            "comment": "/home/qt/work/qt/qtwebsockets/src/websockets/qwebsockethandshakeresponse_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-WebSockets",
            "comment": "/home/qt/work/qt/qtwebsockets/src/websockets/qwebsocketprotocol.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-WebSockets",
            "comment": "/home/qt/work/qt/qtwebsockets/src/websockets/qwebsocketprotocol.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-WebSockets",
            "comment": "/home/qt/work/qt/qtwebsockets/src/websockets/qwebsocketprotocol_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-WebSockets",
            "comment": "/home/qt/work/qt/qtwebsockets/src/websockets/qwebsockets_global.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-WebSockets",
            "comment": "/home/qt/work/qt/qtwebsockets/src/websockets/qwebsocketserver.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-WebSockets",
            "comment": "/home/qt/work/qt/qtwebsockets/src/websockets/qwebsocketserver.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-WebSockets",
            "comment": "/home/qt/work/qt/qtwebsockets/src/websockets/qwebsocketserver_p.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-WebSockets",
            "comment": "/home/qt/work/qt/qtwebsockets/src/websockets/qwebsocketserver_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-WebSockets",
            "comment": "/home/qt/work/qt/qtwebsockets/src/websockets//home/qt/work/qt/qtwebsockets/build/target/src/websockets/meta_types/qt6websockets_release_metatypes.json.gen",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-WebSockets",
            "comment": "/home/qt/work/qt/qtwebsockets/src/websockets/qwebsocket_wasm_p.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtwebsockets-qt-plugin-qmlwebsockets",
            "relatedSpdxElement": "DocumentRef-qtbase:SPDXRef-Package-qtbase-qt-module-Core",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtwebsockets-qt-plugin-qmlwebsockets",
            "relatedSpdxElement": "DocumentRef-qtdeclarative:SPDXRef-Package-qtdeclarative-qt-module-Qml",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtwebsockets-qt-plugin-qmlwebsockets",
            "relatedSpdxElement": "DocumentRef-qtbase:SPDXRef-Package-qtbase-qt-module-PlatformPluginInternal",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtwebsockets-qt-plugin-qmlwebsockets",
            "relatedSpdxElement": "SPDXRef-Package-qtwebsockets-qt-module-WebSockets",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtwebsockets",
            "relatedSpdxElement": "SPDXRef-Package-qtwebsockets-qt-plugin-qmlwebsockets",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtwebsockets-qt-plugin-qmlwebsockets",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-plugin-qmlwebsockets",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtwebsockets-qt-plugin-qmlwebsockets",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-plugin-qmlwebsockets",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-qmlwebsockets",
            "comment": "/home/qt/work/qt/qtwebsockets/src/imports/qmlwebsockets/qmlwebsockets_plugin.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-qmlwebsockets",
            "comment": "/home/qt/work/qt/qtwebsockets/src/imports/qmlwebsockets/qmlwebsockets_plugin.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-qmlwebsockets",
            "comment": "/home/qt/work/qt/qtwebsockets/src/imports/qmlwebsockets/qqmlwebsocket.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-qmlwebsockets",
            "comment": "/home/qt/work/qt/qtwebsockets/src/imports/qmlwebsockets/qqmlwebsocket.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-qmlwebsockets",
            "comment": "/home/qt/work/qt/qtwebsockets/src/imports/qmlwebsockets/qqmlwebsocketserver.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-qmlwebsockets",
            "comment": "/home/qt/work/qt/qtwebsockets/src/imports/qmlwebsockets/qqmlwebsocketserver.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-qmlwebsockets",
            "comment": "/home/qt/work/qt/qtwebsockets/src/imports/qmlwebsockets//home/qt/work/qt/qtwebsockets/build/target/src/imports/qmlwebsockets/.qt/rcc/qrc_qmake_QtWebSockets.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        }
    ]
}